//
// Module: MULT17X17_U
//
// Description: Verilog Sub-module
// 17-bit X 17-bit embedded unsigned multiplier (asynchronous)
//
// Device: Spartan-3 Family 
//
// Date:	April 14, 2003
//
// Disclaimer:  THESE DESIGNS ARE PROVIDED "AS IS" WITH NO WARRANTY 
//              WHATSOEVER AND XILINX SPECIFICALLY DISCLAIMS ANY 
//              IMPLIED WARRANTIES OF MERCHANTABILITY, FITNESS FOR
//              A PARTICULAR PURPOSE, OR AGAINST INFRINGEMENT.
//
//  Copyright (c) 2003 Xilinx, Inc.  All rights reserved.
//
////////////////////////////////////////////////////////////////////////////////////
//
/**************************************
   Theory for 17x17 bit multiplier
    using lsb inputs, outputs

          [1'b0][a{16:0}]
        x [1'b0][b{16:0}]
     ---------------------------------
*************************************/
module MULT17X17_U (A,B,P);

input [16:0] A;
input [16:0] B;

output [33:0] P;
wire [35:0] Product;

//
// Instantiation Section
//

MULT18X18 U_MULT17X17_U
  (
    .A ({1{1'b0}, A}) , 
    .B ({1{1'b0}, B}) , 
    .P (Product)   
  );
assign P = Product[33:0];

//
////////////////////////////////////////////////////////////////////////////////////

endmodule