//
// Module: MULT4X4_U
//
// Description: Verilog Sub-module
// 4-bit X 4-bit embedded unsigned multiplier (asynchronous)
//
// Device: Spartan-3 Family 
//
// Date:	April 14, 2003
//
// Disclaimer:  THESE DESIGNS ARE PROVIDED "AS IS" WITH NO WARRANTY 
//              WHATSOEVER AND XILINX SPECIFICALLY DISCLAIMS ANY 
//              IMPLIED WARRANTIES OF MERCHANTABILITY, FITNESS FOR
//              A PARTICULAR PURPOSE, OR AGAINST INFRINGEMENT.
//
//  Copyright (c) 2003 Xilinx, Inc.  All rights reserved.
//
////////////////////////////////////////////////////////////////////////////////////
//
/**************************************
   Theory for 4x4 bit multiplier
    using lsb inputs, outputs

          [14'b0][a{3:0}]
        x [14'b0][b{3:0}]
     ---------------------------------
*************************************/
module MULT4X4_U (A,B,P);

input [3:0] A;
input [3:0] B;

output [7:0] P;
wire [35:0] Product;

//
// Instantiation Section
//

MULT18X18 U_MULT4X4_U
  (
    .A ({14{1'b0}, A}) , 
    .B ({14{1'b0}, B}) , 
    .P (Product)   
  );
assign P = Product[7:0];

//
////////////////////////////////////////////////////////////////////////////////////

endmodule