//
// Module: MULT8X8_S
//
// Description: Verilog Sub-module
// 8-bit X 8-bit embedded signed multiplier (asynchronous)
//
// Device: Spartan-3 Family 
//
// Date:	April 14, 2003
//
// Disclaimer:  THESE DESIGNS ARE PROVIDED "AS IS" WITH NO WARRANTY 
//              WHATSOEVER AND XILINX SPECIFICALLY DISCLAIMS ANY 
//              IMPLIED WARRANTIES OF MERCHANTABILITY, FITNESS FOR
//              A PARTICULAR PURPOSE, OR AGAINST INFRINGEMENT.
//
//  Copyright (c) 2003 Xilinx, Inc.  All rights reserved.
//
////////////////////////////////////////////////////////////////////////////////////
//
/**************************************
   Theory for 8x8 bit multiplier
    using lsb inputs, outputs

    [2'b0][a{7,7,7,7,7,7,7,7}][a{7:0}]
  x [2'b0][b{7,7,7,7,7,7,7,7}][b{7:0}]
  ------------------------------------
*************************************/
module MULT8X8_S (A,B,P);

input [7:0] A;
input [7:0] B;

output [15:0] P;
wire [35:0] Product;

//
// Instantiation Section
//

MULT18X18 U_MULT8X8_S
  (
    .A ({2'b0, A[7], A[7], A[7], A[7], A[7], A[7], A[7], A[7], A}) , 
    .B ({2'b0, B[7], B[7], B[7], B[7], B[7], B[7], B[7], B[7], B}) , 
    .P (Product)   
  );
assign P = Product[15:0];

//
////////////////////////////////////////////////////////////////////////////////////

endmodule
