//
// Module: MULT8X8_U
//
// Description: Verilog Sub-module
// 8-bit X 8-bit embedded unsigned multiplier (asynchronous)
//
// Device: Spartan-3 Family 
//
// Date:	April 14, 2003
//
// Disclaimer:  THESE DESIGNS ARE PROVIDED "AS IS" WITH NO WARRANTY 
//              WHATSOEVER AND XILINX SPECIFICALLY DISCLAIMS ANY 
//              IMPLIED WARRANTIES OF MERCHANTABILITY, FITNESS FOR
//              A PARTICULAR PURPOSE, OR AGAINST INFRINGEMENT.
//
//  Copyright (c) 2003 Xilinx, Inc.  All rights reserved.
//
////////////////////////////////////////////////////////////////////////////////////
//
/**************************************
   Theory for 8x8 bit multiplier
    using lsb inputs, outputs

          [10'b0][a{7:0}]
        x [10'b0][b{7:0}]
     ---------------------------------
*************************************/
module MULT8X8_U (A,B,P);

input [7:0] A;
input [7:0] B;

output [15:0] P;
wire [35:0] Product;

//
// Instantiation Section
//

MULT18X18 U_MULT8X8_U
  (
    .A ({10{1'b0}, A}) , 
    .B ({10{1'b0}, B}) , 
    .P (Product)   
  );
assign P = Product[15:0];

//
////////////////////////////////////////////////////////////////////////////////////

endmodule