//
// Module: TWOS_CMP18
//
// Description: Verilog Sub-module
// 18-bit Two's Complement
//
// Device: Spartan-3 Family 
//
// Date:	April 14, 2003
//
// Disclaimer:  THESE DESIGNS ARE PROVIDED "AS IS" WITH NO WARRANTY 
//              WHATSOEVER AND XILINX SPECIFICALLY DISCLAIMS ANY 
//              IMPLIED WARRANTIES OF MERCHANTABILITY, FITNESS FOR
//              A PARTICULAR PURPOSE, OR AGAINST INFRINGEMENT.
//
//  Copyright (c) 2003 Xilinx, Inc.  All rights reserved.
//
////////////////////////////////////////////////////////////////////////////////////
//
/**************************************
   Theory for 18-bit Magnitude
   Given an 18-bit number, compute the magnitude as 17-bit        
*************************************/
module TWOS_CMP18 (A,P);

input [17:0] A;

output [17:0] P;
wire [35:0] Product;

//
// Instantiation Section
//

MULT18X18 U_MULT17X17_U
  (
    .A (A), 
    .B (18'b3FFFF), 
    .P (Product)   
  );
assign P = Product[17:0];

//
////////////////////////////////////////////////////////////////////////////////////

endmodule