//
// Module: TWOS_CMP9
//
// Description: Verilog Sub-module
// 9-bit Two's Complement
//
// Device: Spartan-3 Family 
//
// Date:	April 14, 2003
//
// Disclaimer:  THESE DESIGNS ARE PROVIDED "AS IS" WITH NO WARRANTY 
//              WHATSOEVER AND XILINX SPECIFICALLY DISCLAIMS ANY 
//              IMPLIED WARRANTIES OF MERCHANTABILITY, FITNESS FOR
//              A PARTICULAR PURPOSE, OR AGAINST INFRINGEMENT.
//
//  Copyright (c) 2003 Xilinx, Inc.  All rights reserved.
//
////////////////////////////////////////////////////////////////////////////////////
//
/**************************************
   Theory for 9-bit complement
   Given a 9-bit number, multiply it by -1
*************************************/
module TWOS_CMP9 (A,P);

input [8:0] A;

output [8:0] P;
wire [35:0] Product;

//
// Instantiation Section
//

MULT18X18 U_MULT17X17_U
  (
    .A ({A[8],A[8],A[8],A[8],A[8],A[8],A[8],A[8],A[8],A}), 
    .B (18'b3FFFF), 
    .P (Product)   
  );
assign P = Product[8:0];

//
////////////////////////////////////////////////////////////////////////////////////

endmodule